Multivariate Pattern Analysis in Python

# mvpa2.base.verbosity.OnceLogger

class `mvpa2.base.verbosity.``OnceLogger`(*args, **kwargs)

  Logger which prints a message for a given ID just once.

  It could be used for one-time warning to don’t overfill the output with useless repeatative messages.

  Attributes

  `handlers` | Return active handlers
  `lfprev` |

  Methods

  `__call__`(ident, msg[, count]) | Write `msg` if `ident` occured less than `count` times by now.

  Define once logger.

  Attributes

  `handlers` | Return active handlers
  `lfprev` |

  Methods

  `__call__`(ident, msg[, count]) | Write `msg` if `ident` occured less than `count` times by now.